Imports System.Windows.Forms

Public Class UndoButton
  Implements Command
  Private ubutton As ToolBarButton
  Private med As Mediator

  Public Sub New(ByVal md As Mediator, ByVal but As ToolBarButton)
    ubutton = but
    med = md
  End Sub

  Public Sub Execute() Implements vbnetMemento.Command.Execute
    med.undo()
  End Sub

End Class
